webcam/micro Hercules sous Xubuntu

Le
docanski
Bonjour la foule,

Je n'arrive pas à activer video et son avec une webcam Hercules Classic
Link sur Skype.
lsusb donne : Bus 002 Device 002: ID 06f8:3009 Guillemot Corp.
Camorama la détecte bien et affiche la video.
Malgré un lanceur sudo LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so skype
la webcam ne s'allume pas et j'obtiens le message d'erreur suivant :
[code] ERROR: ld.so: object '/usr/lib/libv4l/v4l1compat.so' from LD_PRELOAD
cannot be preloaded: ignored.[/code]
Pourtant, libv44l-0 est installé mais le dossier correspondant n'existe
pas dans /usr/lib/.
Quelle commande pour créer ce dossier avec le fichier kivabien ?

Cordialement,
--
docanski

Portail et annuaire du nord-Bretagne : http://armorance.free.fr/
Guide des champignons d'Europe : http://mycorance.free.fr/
La vallée de la Rance maritime : http://valderance.free.fr/
Les côtes du nord de la Bretagne : http://docarmor.free.fr/
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Doug713705
Le #24276251
Le 23-02-2012, docanski nous expliquait dans
fr.comp.os.linux.configuration :

Bonjour la foule,

Je n'arrive pas à activer video et son avec une webcam Hercules Classic
Link sur Skype.
lsusb donne : Bus 002 Device 002: ID 06f8:3009 Guillemot Corp.
Camorama la détecte bien et affiche la video.
Malgré un lanceur sudo LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so skype
la webcam ne s'allume pas et j'obtiens le message d'erreur suivant :
[code] ERROR: ld.so: object '/usr/lib/libv4l/v4l1compat.so' from LD_PRELOAD
cannot be preloaded: ignored.[/code]
Pourtant, libv44l-0 est installé mais le dossier correspondant n'existe
pas dans /usr/lib/.



Avec quelle distribution ?
Skype n'est il pas installable directement par le gestionnaire de
paquet d'icelle ?

Si tu as installé libv4l-0[1], as tu essayé sans le LD_PRELOAD='...' ?

Quelle commande pour créer ce dossier avec le fichier kivabien ?



Inutile de créer le fichier qui va bien s'il est déjà installé.
Par contre adapter le LD_PRELOAD à ta configuration, oui, peut-être
(mais vu le message d'erreur, j'ai un doute sur la méthode d'installation
et/ou d'execution du biniou).

[1] C'est quoi cette librairie, chez moi (Debian Wheezy), skype ne
semble pas lié à cette librairie, cette dernière n'est d'ailleurs même
pas installée.

--
Doug - Linux user #307925 - Slackware64 roulaize ;-)
http://usenet-fr.chainon-marquant.org
http://newsportal.chainon-marquant.org
http://news.chainon-marquant.org
docanski
Le #24276561
Alors que les eleveurs et agriculteurs empoisonnent toujours la
Bretagne, Doug713705 ecrit ce qui suit en ce 24/02/12 07:07 :

Le 23-02-2012, docanski nous expliquait dans
fr.comp.os.linux.configuration :

Avec quelle distribution ?



C'est écrit dans le sujet ;-) : Xubuntu

Skype n'est il pas installable directement par le gestionnaire de
paquet d'icelle ?



C'est ainsi qu'il a été installé.

Si tu as installé libv4l-0[1], as tu essayé sans le LD_PRELOAD='...' ?



Bien entendu. Mais ça marche pôôô :-(

Inutile de créer le fichier qui va bien s'il est déjà installé.



Ben justement : le signal d'erreur me dit que ce fichier dans ce dossier
manque lorsque j'utilise le lanceur (récupéré quelque part dans la doc
Ubuntu) qui, d'après la doc trouvée s'avère parfois nécessaire pour
lancer Skype avec la video.
Or, ici ni la video ni le micro ne fonctionnent.

[1] C'est quoi cette librairie, chez moi (Debian Wheezy), skype ne
semble pas lié à cette librairie, cette dernière n'est d'ailleurs même
pas installée.



" libv4l is a collection of libraries which adds a thin abstraction layer on
top of video4linux2 devices. The purpose of this (thin) layer is to
make it
easy for application writers to support a wide variety of devices without
having to write separate code for different devices in the same class.
libv4l
consists of 3 different libraries: libv4lconvert, libv4l1 and libv4l2."

Cordialement,
--
docanski

Portail et annuaire du nord-Bretagne : http://armorance.free.fr/
Guide des champignons d'Europe : http://mycorance.free.fr/
La vallée de la Rance maritime : http://valderance.free.fr/
Les côtes du nord de la Bretagne : http://docarmor.free.fr/
docanski
Le #24276971
Alors que les eleveurs et agriculteurs empoisonnent toujours la
Bretagne, docanski ecrit ce qui suit en ce 23/02/12 15:26 :

Pourtant, libv44l-0 est installé mais le dossier correspondant n'existe
pas dans /usr/lib/.
Quelle commande pour créer ce dossier avec le fichier kivabien ?



Petite recherche m'a permis de constater que le fichier était installé dans
/usr/lib/i386-linux-gnu/libv4l
Après modification du lanceur, la video fonctionne ... mais pas le micro
incorporé.

Cordialement,
--
docanski

Portail et annuaire du nord-Bretagne : http://armorance.free.fr/
Guide des champignons d'Europe : http://mycorance.free.fr/
La vallée de la Rance maritime : http://valderance.free.fr/
Les côtes du nord de la Bretagne : http://docarmor.free.fr/
Publicité
Poster une réponse
Anonyme